	.reference	___bb_appstub_appstub
	.reference	___bb_astar_astar
	.reference	___bb_audio_audio
	.reference	___bb_bank_bank
	.reference	___bb_bankstream_bankstream
	.reference	___bb_basic_basic
	.reference	___bb_blitz_blitz
	.reference	___bb_bmploader_bmploader
	.reference	___bb_d3d7max2d_d3d7max2d
	.reference	___bb_directx_directx
	.reference	___bb_dxgraphics_dxgraphics
	.reference	___bb_event_event
	.reference	___bb_eventqueue_eventqueue
	.reference	___bb_font_font
	.reference	___bb_freeaudioaudio_freeaudioaudio
	.reference	___bb_freejoy_freejoy
	.reference	___bb_freeprocess_freeprocess
	.reference	___bb_freetypefont_freetypefont
	.reference	___bb_glew_glew
	.reference	___bb_glgraphics_glgraphics
	.reference	___bb_glmax2d_glmax2d
	.reference	___bb_gnet_gnet
	.reference	___bb_jpgloader_jpgloader
	.reference	___bb_macos_macos
	.reference	___bb_maxutil_maxutil
	.reference	___bb_oggloader_oggloader
	.reference	___bb_pngloader_pngloader
	.reference	___bb_retro_retro
	.reference	___bb_tgaloader_tgaloader
	.reference	___bb_timer_timer
	.reference	___bb_wavloader_wavloader
	.reference	___bb_win32_win32
	.reference	_bbEmptyString
	.reference	_bbHandleFromObject
	.reference	_bbHandleToObject
	.reference	_bbObjectDowncast
	.reference	_bbOnDebugEnterScope
	.reference	_bbOnDebugEnterStm
	.reference	_bbOnDebugLeaveScope
	.reference	_bbStringClass
	.reference	_bbStringCompare
	.reference	_brl_graphics_Flip
	.reference	_brl_graphics_Graphics
	.reference	_brl_graphics_GraphicsHeight
	.reference	_brl_graphics_GraphicsWidth
	.reference	_brl_max2d_AutoImageFlags
	.reference	_brl_max2d_Cls
	.reference	_brl_max2d_DrawImage
	.reference	_brl_max2d_DrawRect
	.reference	_brl_max2d_LoadAnimImage
	.reference	_brl_max2d_SetColor
	.reference	_brl_max2d_SetScale
	.reference	_brl_max2d_TImage
	.reference	_brl_polledinput_KeyHit
	.reference	_brl_retro_Mid
	.reference	_brl_retro_Upper
	.globl	__bb_main
	.globl	_bb_bDrawText
	.globl	_bb_my_font
	.globl	_bb_textbox
	.text	
__bb_main:
	push	%ebp
	mov	%esp,%ebp
	push	%ebx
	sub	$36,%esp
	cmpl	$0,_45
	je	_46
	mov	$0,%eax
	add	$36,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
_46:
	movl	$1,_45
	movl	%ebp,4(%esp)
	movl	$_39,(%esp)
	calll	*_bbOnDebugEnterScope
	call	___bb_blitz_blitz
	call	___bb_appstub_appstub
	call	___bb_audio_audio
	call	___bb_bank_bank
	call	___bb_bankstream_bankstream
	call	___bb_basic_basic
	call	___bb_bmploader_bmploader
	call	___bb_d3d7max2d_d3d7max2d
	call	___bb_dxgraphics_dxgraphics
	call	___bb_event_event
	call	___bb_eventqueue_eventqueue
	call	___bb_font_font
	call	___bb_freeaudioaudio_freeaudioaudio
	call	___bb_freetypefont_freetypefont
	call	___bb_glgraphics_glgraphics
	call	___bb_glmax2d_glmax2d
	call	___bb_gnet_gnet
	call	___bb_jpgloader_jpgloader
	call	___bb_maxutil_maxutil
	call	___bb_oggloader_oggloader
	call	___bb_pngloader_pngloader
	call	___bb_retro_retro
	call	___bb_tgaloader_tgaloader
	call	___bb_timer_timer
	call	___bb_wavloader_wavloader
	call	___bb_astar_astar
	call	___bb_directx_directx
	call	___bb_freejoy_freejoy
	call	___bb_freeprocess_freeprocess
	call	___bb_glew_glew
	call	___bb_macos_macos
	call	___bb_win32_win32
	movl	$_28,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$0,16(%esp)
	movl	$60,12(%esp)
	movl	$0,8(%esp)
	movl	$480,4(%esp)
	movl	$640,(%esp)
	call	_brl_graphics_Graphics
	movl	$_30,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$1,(%esp)
	call	_brl_max2d_AutoImageFlags
	movl	$_31,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	_32,%eax
	and	$1,%eax
	cmp	$0,%eax
	jne	_33
	movl	$-1,20(%esp)
	movl	$64,16(%esp)
	movl	$0,12(%esp)
	movl	$8,8(%esp)
	movl	$8,4(%esp)
	movl	$_4,(%esp)
	call	_brl_max2d_LoadAnimImage
	movl	%eax,(%esp)
	call	_bbHandleFromObject
	movl	%eax,_bb_my_font
	orl	$1,_32
_33:
	movl	$_34,(%esp)
	calll	*_bbOnDebugEnterStm
_7:
	movl	$_35,(%esp)
	calll	*_bbOnDebugEnterStm
	call	_brl_max2d_Cls
	movl	$_36,(%esp)
	calll	*_bbOnDebugEnterStm
	call	_bb_textbox
	movl	$_37,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$1,16(%esp)
	movl	$17,12(%esp)
	movl	$300,8(%esp)
	movl	$10,4(%esp)
	movl	$_8,(%esp)
	call	_bb_bDrawText
	movl	$_38,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$-1,(%esp)
	call	_brl_graphics_Flip
_5:
	movl	$27,(%esp)
	call	_brl_polledinput_KeyHit
	cmp	$0,%eax
	je	_7
_6:
	mov	$0,%ebx
_17:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$36,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
_bb_textbox:
	push	%ebp
	mov	%esp,%ebp
	sub	$4,%esp
	push	%ebx
	sub	$16,%esp
	movl	%ebp,4(%esp)
	movl	$_56,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_47,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$255,8(%esp)
	movl	$120,4(%esp)
	movl	$124,(%esp)
	call	_brl_max2d_SetColor
	movl	$_48,(%esp)
	calll	*_bbOnDebugEnterStm
	fld1
	fstps	4(%esp)
	fld1
	fstps	(%esp)
	call	_brl_max2d_SetScale
	movl	$_49,(%esp)
	calll	*_bbOnDebugEnterStm
	call	_brl_graphics_GraphicsHeight
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fmuls	_108
	fstps	12(%esp)
	call	_brl_graphics_GraphicsWidth
	sub	$64,%eax
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fstps	8(%esp)
	call	_brl_graphics_GraphicsHeight
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fmuls	_109
	fstps	4(%esp)
	flds	_110
	fstps	(%esp)
	call	_brl_max2d_DrawRect
	movl	$_50,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$255,8(%esp)
	movl	$218,4(%esp)
	movl	$182,(%esp)
	call	_brl_max2d_SetColor
	movl	$_51,(%esp)
	calll	*_bbOnDebugEnterStm
	flds	_111
	fstps	12(%esp)
	call	_brl_graphics_GraphicsWidth
	sub	$68,%eax
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fstps	8(%esp)
	call	_brl_graphics_GraphicsHeight
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fmuls	_112
	fstps	4(%esp)
	flds	_113
	fstps	(%esp)
	call	_brl_max2d_DrawRect
	movl	$_52,(%esp)
	calll	*_bbOnDebugEnterStm
	call	_brl_graphics_GraphicsHeight
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fmuls	_114
	fsubs	_115
	fstps	12(%esp)
	flds	_116
	fstps	8(%esp)
	call	_brl_graphics_GraphicsHeight
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fmuls	_117
	fstps	4(%esp)
	flds	_118
	fstps	(%esp)
	call	_brl_max2d_DrawRect
	movl	$_53,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$128,8(%esp)
	movl	$0,4(%esp)
	movl	$0,(%esp)
	call	_brl_max2d_SetColor
	movl	$_54,(%esp)
	calll	*_bbOnDebugEnterStm
	flds	_119
	fstps	12(%esp)
	call	_brl_graphics_GraphicsWidth
	sub	$68,%eax
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fstps	8(%esp)
	call	_brl_graphics_GraphicsHeight
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fmuls	_120
	fsubs	_121
	fstps	4(%esp)
	flds	_122
	fstps	(%esp)
	call	_brl_max2d_DrawRect
	movl	$_55,(%esp)
	calll	*_bbOnDebugEnterStm
	call	_brl_graphics_GraphicsHeight
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fmuls	_123
	fsubs	_124
	fstps	12(%esp)
	flds	_125
	fstps	8(%esp)
	call	_brl_graphics_GraphicsHeight
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fmuls	_126
	fadds	_127
	fstps	4(%esp)
	call	_brl_graphics_GraphicsWidth
	sub	$36,%eax
	movl	%eax,-4(%ebp)
	fildl	-4(%ebp)
	fstps	(%esp)
	call	_brl_max2d_DrawRect
	mov	$0,%ebx
_19:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$16,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
_bb_bDrawText:
	push	%ebp
	mov	%esp,%ebp
	sub	$52,%esp
	push	%ebx
	push	%esi
	sub	$28,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	movl	12(%ebp),%eax
	movl	%eax,-16(%ebp)
	movl	16(%ebp),%eax
	movl	%eax,-20(%ebp)
	movl	20(%ebp),%eax
	movl	%eax,-24(%ebp)
	movl	24(%ebp),%eax
	movl	%eax,-28(%ebp)
	movl	$_bbEmptyString,-8(%ebp)
	movl	$0,-32(%ebp)
	movl	$0,-36(%ebp)
	movl	$_bbEmptyString,-12(%ebp)
	movl	$0,-40(%ebp)
	mov	%ebp,%eax
	movl	%eax,4(%esp)
	movl	$_91,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_58,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%eax
	movl	%eax,(%esp)
	call	_brl_retro_Upper
	movl	%eax,-4(%ebp)
	movl	$_59,(%esp)
	calll	*_bbOnDebugEnterStm
	flds	_130
	fstps	4(%esp)
	flds	_131
	fstps	(%esp)
	call	_brl_max2d_SetScale
	movl	$_60,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$_9,-8(%ebp)
	movl	$_62,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$1,-32(%ebp)
	movl	$_64,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$0,-36(%ebp)
	movl	$1,-36(%ebp)
	movl	-4(%ebp),%eax
	movl	8(%eax),%esi
	jmp	_66
_12:
	movl	$_68,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$1,8(%esp)
	movl	-36(%ebp),%eax
	movl	%eax,4(%esp)
	movl	-4(%ebp),%eax
	movl	%eax,(%esp)
	call	_brl_retro_Mid
	movl	%eax,-12(%ebp)
	movl	$_70,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$0,-40(%ebp)
	movl	$1,-40(%ebp)
	movl	-8(%ebp),%eax
	movl	8(%eax),%ebx
	jmp	_72
_15:
	movl	$_74,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$1,8(%esp)
	movl	-40(%ebp),%eax
	movl	%eax,4(%esp)
	movl	-8(%ebp),%eax
	movl	%eax,(%esp)
	call	_brl_retro_Mid
	movl	%eax,4(%esp)
	movl	-12(%ebp),%eax
	movl	%eax,(%esp)
	call	_bbStringCompare
	cmp	$0,%eax
	sete	%al
	movzbl	%al,%eax
	cmp	$0,%eax
	je	_77
	movl	$_16,4(%esp)
	movl	-12(%ebp),%eax
	movl	%eax,(%esp)
	call	_bbStringCompare
	cmp	$0,%eax
	setne	%al
	movzbl	%al,%eax
	cmp	$0,%eax
	jne	_75
	movl	-32(%ebp),%eax
	cmp	$1,%eax
	setg	%al
	movzbl	%al,%eax
_75:
_77:
	cmp	$0,%eax
	je	_79
	movl	$_80,(%esp)
	calll	*_bbOnDebugEnterStm
	cmpl	$0,-28(%ebp)
	je	_81
	movl	$_82,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$0,8(%esp)
	movl	$0,4(%esp)
	movl	$0,(%esp)
	call	_brl_max2d_SetColor
	movl	$_83,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-40(%ebp),%eax
	sub	$1,%eax
	movl	%eax,12(%esp)
	movl	-20(%ebp),%eax
	add	$4,%eax
	movl	%eax,-52(%ebp)
	fildl	-52(%ebp)
	fstps	8(%esp)
	movl	-16(%ebp),%edx
	add	$4,%edx
	movl	-32(%ebp),%eax
	shl	$3,%eax
	shl	$2,%eax
	add	%eax,%edx
	movl	%edx,-52(%ebp)
	fildl	-52(%ebp)
	fstps	-48(%ebp)
	movl	$_brl_max2d_TImage,4(%esp)
	movl	_bb_my_font,%eax
	movl	%eax,(%esp)
	call	_bbHandleToObject
	movl	%eax,(%esp)
	call	_bbObjectDowncast
	flds	-48(%ebp)
	fstps	4(%esp)
	movl	%eax,(%esp)
	call	_brl_max2d_DrawImage
_81:
	movl	$_84,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$255,8(%esp)
	movl	$255,4(%esp)
	movl	$255,(%esp)
	call	_brl_max2d_SetColor
	movl	$_85,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-40(%ebp),%eax
	sub	$1,%eax
	movl	%eax,12(%esp)
	movl	-20(%ebp),%eax
	movl	%eax,-52(%ebp)
	fildl	-52(%ebp)
	fstps	8(%esp)
	movl	-16(%ebp),%edx
	movl	-32(%ebp),%eax
	shl	$3,%eax
	shl	$2,%eax
	add	%eax,%edx
	movl	%edx,-52(%ebp)
	fildl	-52(%ebp)
	fstps	-44(%ebp)
	movl	$_brl_max2d_TImage,4(%esp)
	movl	_bb_my_font,%eax
	movl	%eax,(%esp)
	call	_bbHandleToObject
	movl	%eax,(%esp)
	call	_bbObjectDowncast
	flds	-44(%ebp)
	fstps	4(%esp)
	movl	%eax,(%esp)
	call	_brl_max2d_DrawImage
	movl	$_86,(%esp)
	calll	*_bbOnDebugEnterStm
	addl	$1,-32(%ebp)
	movl	$_87,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-24(%ebp),%eax
	cmpl	%eax,-32(%ebp)
	jne	_88
	movl	$_89,(%esp)
	calll	*_bbOnDebugEnterStm
	addl	$40,-20(%ebp)
	movl	$_90,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$1,-32(%ebp)
_88:
_79:
_13:
	addl	$1,-40(%ebp)
_72:
	cmpl	%ebx,-40(%ebp)
	jle	_15
_14:
_10:
	addl	$1,-36(%ebp)
_66:
	cmpl	%esi,-36(%ebp)
	jle	_12
_11:
	mov	$0,%ebx
_26:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$28,%esp
	pop	%esi
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
	.data	
	.align	4
_45:
	.long	0
_40:
	.asciz	"bitmp_fontv0-1"
_41:
	.asciz	"MULTI_PIXEL"
_42:
	.asciz	"i"
	.align	4
_43:
	.long	_bbStringClass
	.long	2147483647
	.long	1
	.short	52
_44:
	.asciz	"my_font"
	.align	4
_bb_my_font:
	.long	0
	.align	4
_39:
	.long	1
	.long	_40
	.long	1
	.long	_41
	.long	_42
	.long	_43
	.long	4
	.long	_44
	.long	_42
	.long	_bb_my_font
	.long	0
_29:
	.asciz	"/Applications/Programming/SoundlessMountainII/bitmp_fontv0-1.bmx"
	.align	4
_28:
	.long	_29
	.long	1
	.long	1
	.align	4
_30:
	.long	_29
	.long	4
	.long	1
	.align	4
_31:
	.long	_29
	.long	5
	.long	1
	.align	4
_32:
	.long	0
	.align	4
_4:
	.long	_bbStringClass
	.long	2147483647
	.long	17
	.short	98,105,116,109,97,112,95,102,111,110,116,95,49,46,112,110
	.short	103
	.align	4
_34:
	.long	_29
	.long	13
	.long	1
	.align	4
_35:
	.long	_29
	.long	8
	.long	1
	.align	4
_36:
	.long	_29
	.long	9
	.long	1
	.align	4
_37:
	.long	_29
	.long	10
	.long	1
	.align	4
_8:
	.long	_bbStringClass
	.long	2147483647
	.long	43
	.short	87,104,97,116,39,115,32,116,104,105,115,32,103,97,109,101
	.short	32,65,108,108,32,97,98,111,117,116,32,116,104,101,110,63
	.short	32,73,32,100,117,110,110,111,46,46,46
	.align	4
_38:
	.long	_29
	.long	12
	.long	1
_57:
	.asciz	"textbox"
	.align	4
_56:
	.long	1
	.long	_57
	.long	0
	.align	4
_47:
	.long	_29
	.long	17
	.long	2
	.align	4
_48:
	.long	_29
	.long	18
	.long	2
	.align	4
_49:
	.long	_29
	.long	19
	.long	2
	.align	4
_108:
	.long	0x3e99999a
	.align	4
_109:
	.long	0x3f19999a
	.align	4
_110:
	.long	0x42000000
	.align	4
_50:
	.long	_29
	.long	20
	.long	2
	.align	4
_51:
	.long	_29
	.long	21
	.long	2
	.align	4
_111:
	.long	0x40800000
	.align	4
_112:
	.long	0x3f19999a
	.align	4
_113:
	.long	0x42000000
	.align	4
_52:
	.long	_29
	.long	22
	.long	2
	.align	4
_114:
	.long	0x3e99999a
	.align	4
_115:
	.long	0x40800000
	.align	4
_116:
	.long	0x40800000
	.align	4
_117:
	.long	0x3f19999a
	.align	4
_118:
	.long	0x42000000
	.align	4
_53:
	.long	_29
	.long	23
	.long	2
	.align	4
_54:
	.long	_29
	.long	24
	.long	2
	.align	4
_119:
	.long	0x40800000
	.align	4
_120:
	.long	0x3f666666
	.align	4
_121:
	.long	0x40800000
	.align	4
_122:
	.long	0x42100000
	.align	4
_55:
	.long	_29
	.long	25
	.long	2
	.align	4
_123:
	.long	0x3e99999a
	.align	4
_124:
	.long	0x40800000
	.align	4
_125:
	.long	0x40800000
	.align	4
_126:
	.long	0x3f19999a
	.align	4
_127:
	.long	0x40800000
_92:
	.asciz	"bDrawText"
_93:
	.asciz	"text"
_94:
	.asciz	"$"
_95:
	.asciz	"x"
_96:
	.asciz	"y"
_97:
	.asciz	"wrap"
_98:
	.asciz	"shadow"
_99:
	.asciz	"characters"
_100:
	.asciz	"linecount"
_101:
	.asciz	"count"
_102:
	.asciz	"character"
_103:
	.asciz	"count2"
	.align	4
_91:
	.long	1
	.long	_92
	.long	2
	.long	_93
	.long	_94
	.long	-4
	.long	2
	.long	_95
	.long	_42
	.long	-16
	.long	2
	.long	_96
	.long	_42
	.long	-20
	.long	2
	.long	_97
	.long	_42
	.long	-24
	.long	2
	.long	_98
	.long	_42
	.long	-28
	.long	2
	.long	_99
	.long	_94
	.long	-8
	.long	2
	.long	_100
	.long	_42
	.long	-32
	.long	2
	.long	_101
	.long	_42
	.long	-36
	.long	2
	.long	_102
	.long	_94
	.long	-12
	.long	2
	.long	_103
	.long	_42
	.long	-40
	.long	0
	.align	4
_58:
	.long	_29
	.long	30
	.long	2
	.align	4
_59:
	.long	_29
	.long	31
	.long	2
	.align	4
_130:
	.long	0x40800000
	.align	4
_131:
	.long	0x40800000
	.align	4
_60:
	.long	_29
	.long	32
	.long	2
	.align	4
_9:
	.long	_bbStringClass
	.long	2147483647
	.long	43
	.short	65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80
	.short	81,82,83,84,85,86,87,88,89,90,48,49,50,51,52,53
	.short	54,55,56,57,46,33,63,58,44,39,32
	.align	4
_62:
	.long	_29
	.long	33
	.long	2
	.align	4
_64:
	.long	_29
	.long	34
	.long	2
	.align	4
_68:
	.long	_29
	.long	35
	.long	3
	.align	4
_70:
	.long	_29
	.long	38
	.long	3
	.align	4
_74:
	.long	_29
	.long	39
	.long	4
	.align	4
_16:
	.long	_bbStringClass
	.long	2147483647
	.long	1
	.short	32
	.align	4
_80:
	.long	_29
	.long	40
	.long	7
	.align	4
_82:
	.long	_29
	.long	40
	.long	17
	.align	4
_83:
	.long	_29
	.long	40
	.long	33
	.align	4
_84:
	.long	_29
	.long	41
	.long	5
	.align	4
_85:
	.long	_29
	.long	42
	.long	5
	.align	4
_86:
	.long	_29
	.long	43
	.long	5
	.align	4
_87:
	.long	_29
	.long	44
	.long	5
	.align	4
_89:
	.long	_29
	.long	45
	.long	1
	.align	4
_90:
	.long	_29
	.long	46
	.long	6
